KDE 4.9 PyKDE API Reference

- KDE's Python API

# ParsingRunnerManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Signals
| parsingFinished (Marble.GeoDataDocument document, QString error=QString())
| parsingFinished ()
## Methods
| __init__ (self, Marble.PluginManager pluginManager, QObject parent=0)
Marble.GeoDataDocument | openFile (self, QString fileName, Marble.DocumentRole role=Marble.UserDocument, int timeout=30000)
| parseFile (self, QString fileName, Marble.DocumentRole role=Marble.UserDocument)

## Signal Documentation

parsingFinished | ( | Marble.GeoDataDocument | document,
|  | QString | error=QString()
| ) |  |  |

Emitted whenever all runners are finished for the query

Signal syntax:
  `QObject.connect(source, SIGNAL("parsingFinished(Marble::GeoDataDocument*, const QString&)"), target_slot)`

parsingFinished | ( |  | ) |

Emitted whenever all runners are finished for the query

Signal syntax:
  `QObject.connect(source, SIGNAL("parsingFinished()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.PluginManager | pluginManager,
|  | QObject | parent=0
| ) |  |  |

Constructor.

Parameters:

  | pluginManager | The plugin manager that gives access to RunnerPlugins
  | parent | Optional parent object

Marble.GeoDataDocument openFile | ( | self, |
|  | QString | fileName,
|  | Marble.DocumentRole | role=Marble.UserDocument,
|  | int | timeout=30000
| ) |  |  |

parseFile | ( | self, |
|  | QString | fileName,
|  | Marble.DocumentRole | role=Marble.UserDocument
| ) |  |  |

Parse the file using the runners for various formats

See also:
  parseFile is asynchronous with results returned using the

See also:
  parsingFinished signal.

See also:
  openFile is blocking.

See also:
  parsingFinished signal indicates all runners are finished.